/*
	ef AddNullAsChild

	Add null and parents it to the selected item, if any.
	Thanks to Chazriker (http://delura.tanadrine.com/) for the request and testing!

	Terms of use:
	Use at own risk, do with it what you please.

	Version log:
	2011-11-17	v1.0	Initial release.
	2011-12-21	v1.1	Rearranged the code abit.
	
	author: Dan Dulberger evenflcw@yahoo.com 2011
*/
@version 2.2
@warnings
@script generic
@name "Add Null as Child..."


generic
{
    //create new null and parent it to last selected item, if parent was selected.
	
	selected = Scene().getSelect();
	parent = selected.size() ? selected[1] : nil; //last selected!
	
	AddNull(); //should create AND select newly created null
	null = Scene().firstSelect(); //grab the OA for the null, assuming that it was created and selected.
	
	if(parent) { //check for valid parent
		pip = Scene().generalopts[3];
		if(pip) ParentInPlace(0);
		ParentItem(parent.id);
		ParentInPlace(pip);
	}
}

